shishi_tkt_keytype(3)

NAME
shishi_tkt_keytype - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_keytype(Shishi_tkt * tkt, int32_t * etype);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

int32_t * etype
    pointer to encryption type that is set, see Shishi_etype.

DESCRIPTION
Extract encryption type of key in ticket (really EncKDCRepPart).

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.